Switching to PHP7 for Default PHP on Shared Servers

php7image

We have supported PHP7 from the start (even compiling it ourselves before it was supported in cPanel);  but for compatibility reasons, we have left PHP 5.6 as the default for our customers on shared servers.

But, as PHP5.6 ages, we want to encourage our customers to update their code to run on more up-to-date versions of PHP.  Part of how we can do this is by changing the default version of PHP running on our servers.  We will be shifting the default PHP on our shared servers from version 5.6 to 7.0 on October 1st.  We will still have PHP5.6 installed if you should need it until December 31st, 2018 (or as long as there are security patches).

We do updates like this  for two reasons:

First, our commitment to security.  PHP5.6 stops getting security patches on December 31st, 2018, which is about a 1 year and 3 months out from the time this article posts.  We want to give our customers a chance to test their sites with the new version of PHP before they do not have the option change back to an older version and get the problem code fixed.

 

PHP End of life List
From http://php.net/supported-versions.php

Second, PHP7 actually has some significant performance improvements over PHP5.6, and even HHVM in some workloads, meaning you should see your website load faster than before.

WordPress Performance Chart
From http://www.zend.com/en/resources/php7_infographic

So What does this mean for me?

If you are running WordPress like 95% of our clients, you are likely already good to go.  WordPress Core has supported PHP7 for some time now, but you should test and make sure that your Plugins and Themes are compatible as well.

Most common CMS platforms with their latest versions support PHP7 as well, so even if you run on the latest versions Joomla or Drupal you should be good as well.

What do I do if something breaks?

If your website stops functioning due to the PHP version change on October 1st, you can login to your cPanel account with us, select "MultiPHP Manager" under the "Software: section.

On the new page, select the site or sites that you wish to change the version for, then in the drop down labeled "PHP Version" select the version of PHP you wish to use and select apply.

Once your site loads correctly again, you can pull your error log from either cPanel or FTP to check what was broken, and work to fix the issue.

Of course, if you need support we are here to help.